Name: icinga-x509
Version: 1.3.2
Release: 1.fc41
Summary: Icinga Certificate Monitoring
Group: Applications/System

License: GPLv2

URL: https://icinga.com

Source0: icinga-x509-1.3.2.tgz
Source1: icinga-x509-rpm.tgz

Requires: icinga-x509-daemon = 1.3.2-1.fc41
Requires: icinga-x509-web = 1.3.2-1.fc41

BuildArch: noarch

%description
Keeps track of certificates as they are deployed in a network environment.

%package php
Summary: Icinga Certificate Monitoring PHP files
Requires: icingaweb2-common >= 2.10.5
Requires: icinga-php-library >= 0.13.0
Requires: icinga-php-thirdparty >= 0.12.0

Requires: php-gmp
Requires: php-pcntl

%description php
PHP files for Icinga Certificate Monitoring.

%package daemon
Summary: Icinga Certificate Monitoring daemon files
BuildRequires: systemd-rpm-macros
Requires: icinga-x509-php = 1.3.2-1.fc41
Requires: icingacli >= 2.10.5

%description daemon
Daemon files for Icinga Certificate Monitoring.

%package web
Summary: Icinga Certificate Monitoring web files
Requires: icingaweb2 >= 2.10.5
Requires: icinga-x509-php = 1.3.2-1.fc41

%description web
Web files for Icinga Certificate Monitoring.

%prep
%autosetup
install -d sources
cd sources
tar -xzf %_topdir/SOURCES/icinga-x509-rpm.tgz
cd -

%build

%install
install -d %_topdir/BUILD/icinga-x509-1.3.2-build/BUILDROOT/usr/share/icingaweb2/modules/x509
find . -not -path . -not -path ./sources -maxdepth 1 -exec cp -pr "{}" %_topdir/BUILD/icinga-x509-1.3.2-build/BUILDROOT/usr/share/icingaweb2/modules/x509 \;
install -Dpm 0644 sources/icinga-x509.service %_topdir/BUILD/icinga-x509-1.3.2-build/BUILDROOT/usr/lib/systemd/system/icinga-x509.service

%files

%files php
%doc README.md
%docdir /usr/share/icingaweb2/modules/x509/doc
%license LICENSE
/usr/share/icingaweb2/modules/x509

%post php
if [ $1 == 1 ]; then
if [ ! -d /etc/icingaweb2/enabledModules ]; then
install -dm 2770 -g icingaweb2 /etc/icingaweb2/enabledModules
fi

ln -sf /usr/share/icingaweb2/modules/x509 /etc/icingaweb2/enabledModules/x509
fi

%preun php
if [ $1 == 0 ]; then
rm -f /etc/icingaweb2/enabledModules/x509
fi

%files daemon
/usr/lib/systemd/system/icinga-x509.service

%post daemon

if [ $1 -eq 1 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then
/usr/lib/systemd/systemd-update-helper install-system-units icinga-x509.service || :
fi

%preun daemon

if [ $1 -eq 0 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then
/usr/lib/systemd/systemd-update-helper remove-system-units icinga-x509.service || :
fi

%postun daemon

if [ $1 -ge 1 ] && [ -x "/usr/lib/systemd/systemd-update-helper" ]; then
/usr/lib/systemd/systemd-update-helper mark-restart-system-units icinga-x509.service || :
fi

%files web

%changelog
* Fri Nov 15 2024 Icinga GmbH <info@icinga.com> - 1.3.2-1$RPM_DIST
- Version 1.3.2-1

